Package groovy.io

# Enum FileType

java.lang.Object
java.lang.Enum<FileType>
groovy.io.FileType

All Implemented Interfaces:
  `Serializable`, `Comparable<FileType>`, `Constable`

public enum FileType extends Enum<FileType>
Represents particular files of interest.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANY`
Represents both normal files and directories
`DIRECTORIES`
Represents directories
`FILES`
Represents normal files

## Method Summary

Modifier and Type
Method
Description
`static FileType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static FileType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FILES

public static final FileType FILES
Represents normal files

### DIRECTORIES

public static final FileType DIRECTORIES
Represents directories

### ANY

public static final FileType ANY
Represents both normal files and directories

## Method Details

### values

public static FileType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static FileType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null